<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref8.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_declared_type_id - Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_declared_type_id</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_declared_type_id - Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_declared_type_id</h1><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_declared_type_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#134">Synopsis/Formatters/DocBook/Syntax.py:134</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_dependent_type_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_dependent_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_dependent_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#156">Synopsis/Formatters/DocBook/Syntax.py:156</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_function" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#105">Synopsis/Formatters/DocBook/Syntax.py:105</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_function_type_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_function_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_function_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#151">Synopsis/Formatters/DocBook/Syntax.py:151</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_modifier_type_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_modifier_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_modifier_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#135">Synopsis/Formatters/DocBook/Syntax.py:135</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_parameter" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#113">Synopsis/Formatters/DocBook/Syntax.py:113</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_parametrized_type_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#146">Synopsis/Formatters/DocBook/Syntax.py:146</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_template_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_template_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_template_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#144">Synopsis/Formatters/DocBook/Syntax.py:144</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_typedef" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_typedef</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_typedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#122">Synopsis/Formatters/DocBook/Syntax.py:122</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_unknown_type_id" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_unknown_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_unknown_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#133">Synopsis/Formatters/DocBook/Syntax.py:133</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_variable" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.CxxSyntax.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#126">Synopsis/Formatters/DocBook/Syntax.py:126</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" >Synopsis.Formatters.DocBook.Syntax.CxxSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax" /><h2 >Class Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#81">Synopsis/Formatters/DocBook/Syntax.py:81</a>: in module <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax.html" >Synopsis.Formatters.DocBook.Syntax</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#84">Synopsis/Formatters/DocBook/Syntax.py:84</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#88">Synopsis/Formatters/DocBook/Syntax.py:88</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#finish" >finish</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#91">Synopsis/Formatters/DocBook/Syntax.py:91</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#94">Synopsis/Formatters/DocBook/Syntax.py:94</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#97">Synopsis/Formatters/DocBook/Syntax.py:97</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#100">Synopsis/Formatters/DocBook/Syntax.py:100</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_inheritance" >visit_inheritance</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.__init__" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#84">Synopsis/Formatters/DocBook/Syntax.py:84</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.finish" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.finish</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#finish" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#88">Synopsis/Formatters/DocBook/Syntax.py:88</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_class" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#97">Synopsis/Formatters/DocBook/Syntax.py:97</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_group" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#91">Synopsis/Formatters/DocBook/Syntax.py:91</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_inheritance" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#100">Synopsis/Formatters/DocBook/Syntax.py:100</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_module" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#94">Synopsis/Formatters/DocBook/Syntax.py:94</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonDetailSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonDetailSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax" /><h2 >Class Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#59">Synopsis/Formatters/DocBook/Syntax.py:59</a>: in module <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax.html" >Synopsis.Formatters.DocBook.Syntax</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#62">Synopsis/Formatters/DocBook/Syntax.py:62</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#66">Synopsis/Formatters/DocBook/Syntax.py:66</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#finish" >finish</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#69">Synopsis/Formatters/DocBook/Syntax.py:69</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#72">Synopsis/Formatters/DocBook/Syntax.py:72</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#75">Synopsis/Formatters/DocBook/Syntax.py:75</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#78">Synopsis/Formatters/DocBook/Syntax.py:78</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_inheritance" >visit_inheritance</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.__init__" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#62">Synopsis/Formatters/DocBook/Syntax.py:62</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.finish" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.finish</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#finish" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#66">Synopsis/Formatters/DocBook/Syntax.py:66</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_class" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#75">Synopsis/Formatters/DocBook/Syntax.py:75</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_group" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#69">Synopsis/Formatters/DocBook/Syntax.py:69</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_inheritance" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#78">Synopsis/Formatters/DocBook/Syntax.py:78</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_module" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#72">Synopsis/Formatters/DocBook/Syntax.py:72</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSummarySyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSummarySyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSyntax" /><h2 >Class Synopsis.Formatters.DocBook.Syntax.PythonSyntax</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#35">Synopsis/Formatters/DocBook/Syntax.py:35</a>: in module <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax.html" >Synopsis.Formatters.DocBook.Syntax</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#37">Synopsis/Formatters/DocBook/Syntax.py:37</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#44">Synopsis/Formatters/DocBook/Syntax.py:44</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#50">Synopsis/Formatters/DocBook/Syntax.py:50</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_variable" >visit_variable</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#54">Synopsis/Formatters/DocBook/Syntax.py:54</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_const" >visit_const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_const" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_const</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_const" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#54">Synopsis/Formatters/DocBook/Syntax.py:54</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_function" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#37">Synopsis/Formatters/DocBook/Syntax.py:37</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_parameter" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#44">Synopsis/Formatters/DocBook/Syntax.py:44</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_variable" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.PythonSyntax.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#50">Synopsis/Formatters/DocBook/Syntax.py:50</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/PythonSyntax.html" >Synopsis.Formatters.DocBook.Syntax.PythonSyntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.Syntax" /><h2 >Class Synopsis.Formatters.DocBook.Syntax.Syntax</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#16">Synopsis/Formatters/DocBook/Syntax.py:16</a>: in module <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax.html" >Synopsis.Formatters.DocBook.Syntax</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#24">Synopsis/Formatters/DocBook/Syntax.py:24</a>: Attribute <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#output" >output</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#22">Synopsis/Formatters/DocBook/Syntax.py:22</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#26">Synopsis/Formatters/DocBook/Syntax.py:26</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#finish" >finish</a></li><li ><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#28">Synopsis/Formatters/DocBook/Syntax.py:28</a>: Method <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#typeid" >typeid</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.Syntax.__init__" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.Syntax.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#22">Synopsis/Formatters/DocBook/Syntax.py:22</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" >Synopsis.Formatters.DocBook.Syntax.Syntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.Syntax.finish" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.Syntax.finish</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#finish" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#26">Synopsis/Formatters/DocBook/Syntax.py:26</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" >Synopsis.Formatters.DocBook.Syntax.Syntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.Syntax.typeid" /><h2 >Method Synopsis.Formatters.DocBook.Syntax.Syntax.typeid</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html#typeid" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#28">Synopsis/Formatters/DocBook/Syntax.py:28</a>: in class <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" >Synopsis.Formatters.DocBook.Syntax.Syntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.DocBook.Syntax.escape" /><h2 >Function Synopsis.Formatters.DocBook.Syntax.escape</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/DocBook/Syntax.html#escape" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/DocBook/Syntax.py.html#10">Synopsis/Formatters/DocBook/Syntax.py:10</a>: in module <a href="../Scopes/Synopsis/Formatters/DocBook/Syntax.html" >Synopsis.Formatters.DocBook.Syntax</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.DotFileGenerator" /><h2 >Class Synopsis.Formatters.Dot.DotFileGenerator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#62">Synopsis/Formatters/Dot.py:62</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dot.py.html#66">Synopsis/Formatters/Dot.py:66</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#__os" >__os</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#67">Synopsis/Formatters/Dot.py:67</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#direction" >direction</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#68">Synopsis/Formatters/Dot.py:68</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#bgcolor" >bgcolor</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#69">Synopsis/Formatters/Dot.py:69</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#light_color" >light_color</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#70">Synopsis/Formatters/Dot.py:70</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#nodes" >nodes</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#64">Synopsis/Formatters/Dot.py:64</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#72">Synopsis/Formatters/Dot.py:72</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#write" >write</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#74">Synopsis/Formatters/Dot.py:74</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#write_node" >write_node</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#95">Synopsis/Formatters/Dot.py:95</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#write_edge" >write_edge</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.DotFileGenerator.__init__" /><h2 >Method Synopsis.Formatters.Dot.DotFileGenerator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#64">Synopsis/Formatters/Dot.py:64</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" >Synopsis.Formatters.Dot.DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.DotFileGenerator.write" /><h2 >Method Synopsis.Formatters.Dot.DotFileGenerator.write</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#write" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#72">Synopsis/Formatters/Dot.py:72</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" >Synopsis.Formatters.Dot.DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.DotFileGenerator.write_edge" /><h2 >Method Synopsis.Formatters.Dot.DotFileGenerator.write_edge</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#write_edge" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#95">Synopsis/Formatters/Dot.py:95</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" >Synopsis.Formatters.Dot.DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.DotFileGenerator.write_node" /><h2 >Method Synopsis.Formatters.Dot.DotFileGenerator.write_node</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html#write_node" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#74">Synopsis/Formatters/Dot.py:74</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" >Synopsis.Formatters.Dot.DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.FileDependencyGenerator" /><h2 >Class Synopsis.Formatters.Dot.FileDependencyGenerator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/FileDependencyGenerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#369">Synopsis/Formatters/Dot.py:369</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dot.py.html#372">Synopsis/Formatters/Dot.py:372</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/FileDependencyGenerator.html#visit_file" >visit_file</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.FileDependencyGenerator.visit_file" /><h2 >Method Synopsis.Formatters.Dot.FileDependencyGenerator.visit_file</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/FileDependencyGenerator.html#visit_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#372">Synopsis/Formatters/Dot.py:372</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/FileDependencyGenerator.html" >Synopsis.Formatters.Dot.FileDependencyGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.Formatter" /><h2 >Class Synopsis.Formatters.Dot.Formatter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#442">Synopsis/Formatters/Dot.py:442</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dot.py.html#446">Synopsis/Formatters/Dot.py:446</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#title" >title</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#447">Synopsis/Formatters/Dot.py:447</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#type" >type</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#448">Synopsis/Formatters/Dot.py:448</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#hide_operations" >hide_operations</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#449">Synopsis/Formatters/Dot.py:449</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#hide_attributes" >hide_attributes</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#450">Synopsis/Formatters/Dot.py:450</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#show_aggregation" >show_aggregation</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#451">Synopsis/Formatters/Dot.py:451</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#bgcolor" >bgcolor</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#452">Synopsis/Formatters/Dot.py:452</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#format" >format</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#453">Synopsis/Formatters/Dot.py:453</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#layout" >layout</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#454">Synopsis/Formatters/Dot.py:454</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#prefix" >prefix</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#455">Synopsis/Formatters/Dot.py:455</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#toc_in" >toc_in</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#456">Synopsis/Formatters/Dot.py:456</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#base_url" >base_url</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#458">Synopsis/Formatters/Dot.py:458</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.Formatter.process" /><h2 >Method Synopsis.Formatters.Dot.Formatter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#458">Synopsis/Formatters/Dot.py:458</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/Formatter.html" >Synopsis.Formatters.Dot.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator" /><h2 >Class Synopsis.Formatters.Dot.InheritanceGenerator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#101">Synopsis/Formatters/Dot.py:101</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dot.py.html#113">Synopsis/Formatters/Dot.py:113</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#aggregation" >aggregation</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#114">Synopsis/Formatters/Dot.py:114</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#toc" >toc</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#115">Synopsis/Formatters/Dot.py:115</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#123">Synopsis/Formatters/Dot.py:123</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#__type_ref" >__type_ref</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#124">Synopsis/Formatters/Dot.py:124</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#__type_label" >__type_label</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#125">Synopsis/Formatters/Dot.py:125</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#__no_descend" >__no_descend</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#126">Synopsis/Formatters/Dot.py:126</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#nodes" >nodes</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#105">Synopsis/Formatters/Dot.py:105</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#128">Synopsis/Formatters/Dot.py:128</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#type_ref" >type_ref</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#129">Synopsis/Formatters/Dot.py:129</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#type_label" >type_label</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#130">Synopsis/Formatters/Dot.py:130</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#parameter" >parameter</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#132">Synopsis/Formatters/Dot.py:132</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#format_type" >format_type</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#139">Synopsis/Formatters/Dot.py:139</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#clear_type" >clear_type</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#144">Synopsis/Formatters/Dot.py:144</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#get_class_name" >get_class_name</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#165">Synopsis/Formatters/Dot.py:165</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_modifier_type" >visit_modifier_type</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#171">Synopsis/Formatters/Dot.py:171</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_unknown_type" >visit_unknown_type</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#176">Synopsis/Formatters/Dot.py:176</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_builtin_type_id" >visit_builtin_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#181">Synopsis/Formatters/Dot.py:181</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_dependent_type_id" >visit_dependent_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#186">Synopsis/Formatters/Dot.py:186</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#194">Synopsis/Formatters/Dot.py:194</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#208">Synopsis/Formatters/Dot.py:208</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_template_id" >visit_template_id</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#217">Synopsis/Formatters/Dot.py:217</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_inheritance" >visit_inheritance</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#227">Synopsis/Formatters/Dot.py:227</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#273">Synopsis/Formatters/Dot.py:273</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_operation" >visit_operation</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#278">Synopsis/Formatters/Dot.py:278</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_variable" >visit_variable</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.__init__" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#105">Synopsis/Formatters/Dot.py:105</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.clear_type" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.clear_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#clear_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#139">Synopsis/Formatters/Dot.py:139</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.format_type" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.format_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#format_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#132">Synopsis/Formatters/Dot.py:132</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.get_class_name" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.get_class_name</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#get_class_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#144">Synopsis/Formatters/Dot.py:144</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.parameter" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#130">Synopsis/Formatters/Dot.py:130</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.type_label" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.type_label</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#type_label" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#129">Synopsis/Formatters/Dot.py:129</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.type_ref" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.type_ref</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#type_ref" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#128">Synopsis/Formatters/Dot.py:128</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_builtin_type_id" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_builtin_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_builtin_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#176">Synopsis/Formatters/Dot.py:176</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_class" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#227">Synopsis/Formatters/Dot.py:227</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_declared_type_id" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#186">Synopsis/Formatters/Dot.py:186</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_dependent_type_id" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_dependent_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_dependent_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#181">Synopsis/Formatters/Dot.py:181</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_inheritance" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#217">Synopsis/Formatters/Dot.py:217</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_modifier_type" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_modifier_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_modifier_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#165">Synopsis/Formatters/Dot.py:165</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_operation" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_operation</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_operation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#273">Synopsis/Formatters/Dot.py:273</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_parametrized_type_id" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#194">Synopsis/Formatters/Dot.py:194</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_template_id" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_template_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_template_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#208">Synopsis/Formatters/Dot.py:208</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_unknown_type" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_unknown_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_unknown_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#171">Synopsis/Formatters/Dot.py:171</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.InheritanceGenerator.visit_variable" /><h2 >Method Synopsis.Formatters.Dot.InheritanceGenerator.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#278">Synopsis/Formatters/Dot.py:278</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" >Synopsis.Formatters.Dot.InheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SingleInheritanceGenerator" /><h2 >Class Synopsis.Formatters.Dot.SingleInheritanceGenerator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#283">Synopsis/Formatters/Dot.py:283</a>: in module <a href="../Scopes/Synopsis/Formatters/Dot.html" >Synopsis.Formatters.Dot</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Dot.py.html#292">Synopsis/Formatters/Dot.py:292</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#__levels" >__levels</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#293">Synopsis/Formatters/Dot.py:293</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#__types" >__types</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#294">Synopsis/Formatters/Dot.py:294</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#__current" >__current</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#295">Synopsis/Formatters/Dot.py:295</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#__visited_classes" >__visited_classes</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#288">Synopsis/Formatters/Dot.py:288</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#299">Synopsis/Formatters/Dot.py:299</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#309">Synopsis/Formatters/Dot.py:309</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#visit_inheritance" >visit_inheritance</a></li><li ><a href="../Source/Synopsis/Formatters/Dot.py.html#320">Synopsis/Formatters/Dot.py:320</a>: Method <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#visit_class" >visit_class</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SingleInheritanceGenerator.__init__" /><h2 >Method Synopsis.Formatters.Dot.SingleInheritanceGenerator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#288">Synopsis/Formatters/Dot.py:288</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html" >Synopsis.Formatters.Dot.SingleInheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_class" /><h2 >Method Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#320">Synopsis/Formatters/Dot.py:320</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html" >Synopsis.Formatters.Dot.SingleInheritanceGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_declared_type_id" /><h2 >Method Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Dot.py.html#299">Synopsis/Formatters/Dot.py:299</a>: in class <a href="../Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html" >Synopsis.Formatters.Dot.SingleInheritanceGenerator</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
